Bug 1511214 - EmsRefresh.update_relats_by_ids error for 'base_class' for deleted VM
Summary: EmsRefresh.update_relats_by_ids error for 'base_class' for deleted VM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: James Wong
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 22:28 UTC by vaclav.miller
Modified: 2019-02-07 23:00 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:36 UTC
Category: Bug
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)
base_class error trace (8.56 KB, text/plain)
2017-11-08 22:28 UTC, vaclav.miller
no flags Details
Current logs (15.69 MB, application/x-xz)
2018-01-02 17:13 UTC, vaclav.miller
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:47 UTC

Description vaclav.miller 2017-11-08 22:28:52 UTC
Created attachment 1349612 [details]
base_class error trace

Description of problem:

we are getting refresh ems refresh error:
(EmsRefresh.update_relats_by_ids) An error occurred while disconnecting id [1000000000374]: undefined method `base_class' for NilClass:Class

Version-Release number of selected component (if applicable):
CloudForms Version 5.8.1.5.20170725160636_e433fc0

VM was provisioned cca 1 hour before error and was retired cca 30 min before error.

We are getting several errors of the same kind. 

Attached is part of log with error trace.


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Dave Johnson 2017-11-08 22:44:06 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 5 vaclav.miller 2017-11-13 16:38:53 UTC
Which provider is this for?

It is VMware vCenter (although managed by vCloud Director. But vCD is not enabled at Cloudforms as provider)

Is the VM getting deleted?
VM was provisioned approximately one hour before error.
VM was terminated approximately 30 minutes before error appeared.

Comment 6 Adam Grare 2017-11-14 16:48:58 UTC
I remember we looked at this before and it was caused by deleted folders and didn't have any negative impact.

If you have having issues I doubt it is caused by this exception, can you attach the full log set and describe any negative behavior you are seeing?

James can you see if there is anything we can do to prevent this exception?  Check for nil before removing children maybe?

Comment 7 vaclav.miller 2018-01-02 17:13:19 UTC
Created attachment 1375841 [details]
Current logs

Attaching current fresh logs.

Comment 8 vaclav.miller 2018-01-02 17:16:53 UTC
Although it may look like this bug does not have impact, it exist in current code base and may be misleading in identification of another issues.
Any progress on this case?
Thx.

Comment 11 CFME Bot 2018-03-02 22:11:31 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d456dec81c3d0dfd962a3325cddcab2c7566e23a

commit d456dec81c3d0dfd962a3325cddcab2c7566e23a
Author:     James Wong <jwong@redhat.com>
AuthorDate: Thu Feb 22 22:33:01 2018 -0500
Commit:     James Wong <jwong@redhat.com>
CommitDate: Fri Mar 2 16:14:05 2018 -0500

    removal of nil before remove_children
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1511214

 app/models/mixins/relationship_mixin.rb       | 2 +-
 spec/models/mixins/relationship_mixin_spec.rb | 6 ++++++
 2 files changed, 7 insertions(+), 1 deletion(-)

Comment 15 Kedar Kulkarni 2018-11-08 20:52:04 UTC
On Build, 5.10.0.23, After trying to provision and retire VM, I reviewed logs and did not find any errors like in https://bugzilla.redhat.com/attachment.cgi?id=1349612

Comment 16 errata-xmlrpc 2019-02-07 23:00:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.